HostingVault

Delete Vault email account

DELETE/api/archive/domains/{domain_code}/email_accounts/{email_code}

Starts removal of Vault archiving from an email account.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

domain_code*string

Domain code: D followed by 9 digits. Example: D123456789.

email_code*string

Email account code: usually EA followed by 8 digits. Postmaster accounts use P followed by 9 digits. Examples: EA12345678, P123456789.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/archive/domains/string/email_accounts/string" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json"
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}